--- a/asio.c
+++ b/asio.c
@@ -34,7 +34,6 @@
 #include "objbase.h"
 #include "mmsystem.h"
 #include "winreg.h"
-#include "wine/unicode.h"
 
 #include <jack/jack.h>
 #include <jack/thread.h>
@@ -1445,6 +1444,15 @@
     return 0;
 }
 
+/* Funtion required as unicode.h no longer in WINE */
+static WCHAR *strrchrW( const WCHAR *str, WCHAR ch )
+{
+    WCHAR *ret = NULL;
+    do { if (*str == ch) ret = (WCHAR *)(ULONG_PTR)str; } while (*str++);
+    return ret;
+}
+
+
 static BOOL configure_driver(IWineASIOImpl *This)
 {
     HKEY    hkey;
